Subject: [6tisch] FW: routing-dispatch (6lorh) change in ownership from 6LO to ROLL

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 18 Mar 2016 10:55:42 +0000

FYI:

There is a pending adoption call at 6lo for the https://tools.ietf.org/wg/6lo/draft-ietf-6lo-paging-dispatch/, please contribute.

At the same time, the 6LoRH draft that depends on it may transition to ROLL to complete the work. I see that as a good thing since the formatting iis agreed upon and that the nits may now be on the protocol side. Please contribute there as well!

Cheers,

Pascal

From: Pascal Thubert (pthubert)
Sent: vendredi 18 mars 2016 11:47
To: Gabriel Montenegro <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; Routing Over Low power and Lossy networks <[email-masked]>
Cc: [email-masked]; [email-masked]; Michael Richardson <[email-masked]>; Alvaro Retana (aretana) <[email-masked]>; Suresh Krishnan <[email-masked]>; James Woodyatt ([email-masked]) <[email-masked]>; Ralph Droms <[email-masked]>; Brian Haberman <[email-masked]>
Subject: RE: routing-dispatch (6lorh) change in ownership from 6LO to ROLL

Hello Gabriel:

That is perfectly fine with me, and I have 2 procedural questions:

1)      Can I submit as draft-roll or do we need an adoption call there?

2)      Draft -6lorh is stable, ready to last call IMHO.  The critical decisions involving formats and header orders are probably already taken. What may be still subject to discussion and that is of specific value to ROLL is bit mapping to protocols or things like that. Since we are transitioning areas, it would be good that 6lo expresses a blessing of the current shape and form so that unless there is a major change, we do not need to recirculate the document again through areas to go to IESG. Based on the fact that 6lo adopted it in the first place, will 6lo be happy that the ROLL WG completes the editorial work on RPL relayed semantics and ships from routing area without handing back the result?

Cheers,

Pascal

From: Gabriel Montenegro [mailto:[email-masked]]
Sent: jeudi 17 mars 2016 23:16
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Routing Over Low power and Lossy networks <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Michael Richardson <[email-masked]<mailto:[email-masked]>>; Alvaro Retana (aretana) <[email-masked]<mailto:[email-masked]>>; Suresh Krishnan <[email-masked]<mailto:[email-masked]>>; James Woodyatt ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; Ralph Droms <[email-masked]<mailto:[email-masked]>>; Brian Haberman <[email-masked]<mailto:[email-masked]>>
Subject: routing-dispatch (6lorh) change in ownership from 6LO to ROLL

Hi folks,

We've had some discussions among the 6lo and ROLL chairs and personnel as well as the responsible AD's (Brian, Alvaro and Suresh) to the effect that the following draft (aka 6lorh) is better suited for ROLL than 6lo:

*        https://tools.ietf.org/wg/6lo/draft-ietf-6lo-routing-dispatch/

This draft uses the framework established in the paging-dispatch draft, which is clearly in 6lo's scope:

*        https://tools.ietf.org/wg/6lo/draft-ietf-6lo-paging-dispatch/

We're moving 6lorh (routing-dispatch) to ROLL. Sure, 6lorh uses something out of 6lo (the paging-dispatch draft), but it is so specific to ROLL that the document belongs there.

This is analogous to how DHC has operated over many years: base DHCP format changes happen in DHC, but applications of DHC mechanisms specific to any given technology are best developed by the relevant WG (of course, with review by DHC to double-check the use of DHC facilities).

Similarly, 6lo will be in the loop to review routing-dispatch, to make sure it uses paging-dispatch properly. But routing-dispatch is so specific to ROLL that further development, WG LC, IESG processing, etc., will happen under ROLL.

Thanks,

Gabriel (on behalf of ROLL and 6LO chairs)